| 1 |
=================== |
| 2 |
Dataframes endpoint |
| 3 |
=================== |
| 4 |
|
| 5 |
Add dataframes into the storage backend |
| 6 |
======================================= |
| 7 |
|
| 8 |
Add dataframes into the storage backend. |
| 9 |
|
| 10 |
.. rest_method:: POST /v2/dataframes |
| 11 |
|
| 12 |
.. rest_parameters:: dataframes/dataframes_parameters.yml |
| 13 |
|
| 14 |
- dataframes: dataframes_body |
| 15 |
|
| 16 |
Request Example |
| 17 |
--------------- |
| 18 |
|
| 19 |
In the body: |
| 20 |
|
| 21 |
.. literalinclude:: ./api_samples/dataframes/dataframes_post.json |
| 22 |
:language: javascript |
| 23 |
|
| 24 |
Status codes |
| 25 |
------------ |
| 26 |
|
| 27 |
.. rest_status_code:: success http_status.yml |
| 28 |
|
| 29 |
- 204 |
| 30 |
|
| 31 |
.. rest_status_code:: error http_status.yml |
| 32 |
|
| 33 |
- 400 |
| 34 |
- 401 |
| 35 |
- 403 |
| 36 |
- 405 |
| 37 |
|
| 38 |
Response |
| 39 |
-------- |
| 40 |
|
| 41 |
No content is to be returned. |
| 42 |
|
| 43 |
Get dataframes from the storage backend |
| 44 |
============================================ |
| 45 |
|
| 46 |
Get dataframes from the storage backend. |
| 47 |
|
| 48 |
.. rest_method:: GET /v2/dataframes |
| 49 |
|
| 50 |
.. rest_parameters:: dataframes/dataframes_parameters.yml |
| 51 |
|
| 52 |
- limit: limit |
| 53 |
- offset: offset |
| 54 |
- begin: begin |
| 55 |
- end: end |
| 56 |
- filters: filters |
| 57 |
|
| 58 |
Status codes |
| 59 |
------------ |
| 60 |
|
| 61 |
.. rest_status_code:: success http_status.yml |
| 62 |
|
| 63 |
- 200 |
| 64 |
|
| 65 |
.. rest_status_code:: error http_status.yml |
| 66 |
|
| 67 |
- 400 |
| 68 |
- 401 |
| 69 |
- 403 |
| 70 |
- 405 |
| 71 |
|
| 72 |
Response |
| 73 |
-------- |
| 74 |
|
| 75 |
.. rest_parameters:: dataframes/dataframes_parameters.yml |
| 76 |
|
| 77 |
- total: total_resp |
| 78 |
- dataframes: dataframes_resp |
| 79 |
|
| 80 |
Response Example |
| 81 |
---------------- |
| 82 |
|
| 83 |
.. literalinclude:: ./api_samples/dataframes/dataframes_get.json |
| 84 |
:language: javascript |
| 85 |
|